Avisos
Vaciar todo

Hosting WordPress 70% dto Dominios promo

STRIPE  

 
FRANCISCO
 FRANCISCO
Nuevo usuario

Buenos días

Me pueden orientar de cual puede ser el problema? he instalado el plugin de stripe, al mismo tiempo he habilitado la opcion de pagos con stripe en el plugin Advanced booking Calendar y cuando hago una simulacion de pagar en mi web con tarjeta me sale el siguiente error

"Stripe\Error\InvalidRequest: You cannot use `line_items.amount`, `line_items.currency`, `line_items.name`, `line_items.description`, or `line_items.images` in this API version. Please use `line_items.price` or `line_items.price_data`. Please see https://stripe.com/docs/payments/checkout/migrating-prices for more information. in /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/vendor/stripe/stripe-php/lib/ApiRequestor.php:210 from API request 'req_CUSzbAK5KSywW1' Stack trace: #0 /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/vendor/stripe/stripe-php/lib/ApiRequestor.php(173): Stripe\ApiRequestor::_specificAPIError('{\n "error": {\n...', 400, Object(Stripe\Util\CaseInsensitiveArray), Array, Array) #1 /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/vendor/stripe/stripe-php/lib/ApiRequestor.php(473): Stripe\ApiRequestor->handleErrorResponse('{\n "error": {\n...', 400, Object(Stripe\Util\CaseInsensitiveArray), Array) #2 /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/vendor/stripe/stripe-php/lib/ApiRequestor.php(126): Stripe\ApiRequestor->_interpretResponse('{\n "error": {\n...', 400, Object(Stripe\Util\CaseInsensitiveArray)) #3 /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/vendor/stripe/stripe-php/lib/ApiOperations/Request.php(57): Stripe\ApiRequestor->request('post', '/v1/checkout/se...', Array, Array) #4 /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/vendor/stripe/stripe-php/lib/ApiOperations/Create.php(23): Stripe\ApiResource::_staticRequest('post', '/v1/checkout/se...', Array, NULL) #5 /home2/lasgondo/public_html/lasgondolas602.com/wp-content/plugins/advanced-booking-calendar-pro/frontend/bookingform.php(1297): Stripe\Checkout\Session::create(Array) #6 /home2/lasgondo/public_html/lasgondolas602.com/wp-includes/class-wp-hook.php(308): ajax_abc_booking_getBookingFormBook('') #7 /home2/lasgondo/public_html/lasgondolas602.com/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters('', Array) #8 /home2/lasgondo/public_html/lasgondolas602.com/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #9 /home2/lasgondo/public_html/lasgondolas602.com/wp-admin/admin-ajax.php(203): do_action('wp_ajax_nopriv_...') #10 {main}"

Pueden decirme que estoy haciendo mal?

Gracias

Contenido solo visible a usuarios registrados

Citar
Respondido : 21/12/2022 8:16 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Francisco.

Lo que te está indicando es que la nueva versión de la API de Stripe no es compatible advanced booking calendar pro

Tienes que consultarlo con el soporte de plugin advanced booking calendar pro ya que tendrán que actualizarlo para que sea compatible con la nueva API de Stripe

-> https://booking-calendar-plugin.com/contact/

Si quiere ver un poco de información sobre este error puedes visitar la siguiente URL:

-> https://stripe.com/docs/payments/checkout/migrating-prices

 

Un Saludo

ResponderCitar
Respondido : 21/12/2022 11:47 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación